<?php
//  @copyright	Copyright (C) 2008 IceTheme. All Rights Reserved
//  @license	Copyrighted Commercial Software 
//  @author     IceTheme (icetheme.com)

// no direct access
defined( '_JEXEC' ) or die( 'Restricted access' );

// Include PHP files to template
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/default.php');
include_once(JPATH_ROOT . "/templates/" . $this->template . '/icetools/switcher.php');

// Javascript
	unset($this->_scripts[$this->baseurl . '/media/system/js/mootools.js']);
	
	$this->_scripts = array_merge(array($template_baseurl . '/js/IceScript.js' => 'text/javascript'), $this->_scripts);
	$this->_scripts = array_merge(array($template_baseurl . '/js/mootools.php' => 'text/javascript'), $this->_scripts);


?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="<?php echo $this->language; ?>" lang="<?php echo $this->language; ?>" dir="<?php echo $this->direction; ?>" >
<head>

<link rel="shortcut icon" href="<?php echo $this->baseurl; ?>/images/favicon.ico" />

<jdoc:include type="head" />
<link rel="stylesheet" href="<?php echo $this->baseurl ?>/templates/system/css/general.css" type="text/css" />


<!-- CSS -->
<style type="text/css" media="screen">
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/template_css.css.php");/**/
/*\*/@import url("<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/styles/<?php echo $TemplateStyle; ?>.css");/**/
</style>


<style type="text/css" media="screen">
#container { 
<?php if ($this->countModules('left')) { ?>
padding-left: 192px; 
<?php } ?>
<?php if ($this->countModules('right + othermenu')) { ?>
padding-right: 212px; }
<?php } ?>	

</style>
<!--[if lte IE 7]>
  <link rel="stylesheet" type="text/css" href="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/ie.css" />
<![endif]-->

<!--[if lt IE 7]>
<script type="text/javascript"  src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/js/fixpng.js"></script>
 
<style type="text/css" media="screen">
body{behavior:url(<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/css/csshover.htc);}

</style>
<![endif]-->

</head>

<body class="<?php echo $FontSize; ?>" <?php if ($this->countModules('top1 + top2 + top3 + top4 + top5 + top6')) { ?>onLoad="TopPanelSlide.hide()"<?php } ?> >



<div id="accessibility">
	<a href="#nav"><?php echo JText::_("Skip to Menu");?></a>
    <a href="#mainwrapper" ><?php echo JText::_("Skip to Content");?></a>
    <a href="#footer" ><?php echo JText::_("Skip to Footer");?></a>
</div>



      <div id="userarea_wrap">
    	
        <div id="userarea">  
            
            <div class="floatright"> 
            
				<?php if($this->params->get('FontSwitcher')) { ?>
                <ul id="fontswitcher">
                    <li class="smallfont"><a href="<?php echo $mainurl; ?>FontSize=font-small" title="<?php echo JText::_("Small Font");?>"></a></li>
                    <li class="normalfont"><a href="<?php echo $mainurl; ?>FontSize=font-medium" title="<?php echo JText::_("Normal Font");?>"></a></li>
                    <li class="largefont"><a href="<?php echo $mainurl; ?>FontSize=font-large" title="<?php echo JText::_("Large Font");?>"></a></li>
                </ul>  
                <?php } ?> 
                
                <?php if($this->params->get('icedate')) { ?>
                <div id="currentdate">
                    <p><?php echo "".date ('l')."";  ?>, 
                    <?php echo " <span>".date ('M')." ".date ('d').date ('S')."</span>"; ?></p>
                </div>   
                <?php } ?>
                
                <?php if ($this->countModules('topmenu')) { ?>
                	<jdoc:include type="modules" name="topmenu" />
                <?php } ?>
                
        	</div>
            
		</div>
        
    </div>

	<div id="header_top">
    	
        <div id="header_wrap">
		
            <div id="header">
                                 
                <div id="logo">
                    <a href="<?php echo $this->baseurl ?>" title="Home"><img src="<?php echo $this->baseurl ?>/templates/<?php echo $this->template ?>/images/logo.jpg" width="250" height="60" alt="Logo"/></a>
                </div>
				
                <div id="logo_shadow"></div>
                
				<?php if ($this->countModules('banner')) { ?>
                <div id="banner">
                    <jdoc:include type="modules" name="banner" />
                </div>
                <?php } ?>
                
                
            </div>
            
		</div>
    
    </div>    
   
	<div id="nav_wrap">
	   <?php if ($this->countModules('mainmenu')) { ?>
            <div id="nav" class="cleafix">
                <jdoc:include type="modules" name="mainmenu" />  
            </div>  	
        <?php } ?>
    </div>
     
    
    <?php if ($this->countModules('search')) { ?> 
    <div id="searcharea_wrap">
    	<div id="searcharea">
        	<div id="search_bg">
    	 		<jdoc:include type="modules" name="search" />  	
    		</div>
        </div>
    </div>
    <?php } ?>
    
       
   
   			
            
     
	<div id="content_gradient_top">
        <?php if($this->params->get('TopPanel')) { ?>
    	<?php if ($this->countModules('top1 + top2 + top3 + top4 + top5 + top6')) { ?>
    		<div id="top_panel">
				<div id="content_panel">
            	
               			
                               
            <?php if ($this->countModules('top1')) { ?>
            	<div class="<?php echo $topmodulewidth ; ?> <?php echo $topmodsep3; ?> floatleft">
                	<jdoc:include type="modules" name="top1" style="icemodule"  />
                </div>
            <?php } ?>
			<?php if ($this->countModules('top2')) { ?>
            	<div class="<?php echo $topmodulewidth ; ?> <?php echo $topmodsep3; ?> floatleft">
                	<jdoc:include type="modules" name="top2" style="icemodule"  />
                </div>
            <?php } ?>
			<?php if ($this->countModules('top3')) { ?>
            	<div class="<?php echo $topmodulewidth ; ?> <?php echo $topmodsep3; ?> floatleft">
                	<jdoc:include type="modules" name="top3" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('top4')) { ?>
            	<div class="<?php echo $topmodulewidth ; ?> <?php echo $topmodsep4; ?> floatleft">
                	<jdoc:include type="modules" name="top4" style="icemodule"  />
                </div>
            <?php } ?>
            <?php if ($this->countModules('top5')) { ?>
            	<div class="<?php echo $ttopmodulewidth ; ?> <?php echo $topmodsep5; ?> floatleft">
                	<jdoc:include type="modules" name="top5" style="icemodule"  />
                </div>
            <?php } ?> 	
            <?php if ($this->countModules('top6')) { ?>
            	<div class="<?php echo $ttopmodulewidth ; ?>  floatleft">
                	<jdoc:include type="modules" name="top6" style="icemodule"  />
                </div>
            <?php } ?> 	
            
        </div>
        
	</div>
    <?php } ?>
      <?php } ?> 
    	<div id="content_gradient_bottom">
        	
        	<div id="content_top_area">
        	
				<?php if ($this->countModules('login')) { ?>
                <div class="floatleft">
                     <p id="logintext"><a href="#" id="logintoggle"><?php echo JText::_("Login Form &raquo;");?></a></p>
                        <div id="login-panel">
                           	<jdoc:include type="modules" name="login" />  
                       	</div>
                </div>
                <?php } ?>
                
            <?php if($this->params->get('TopPanel')) { ?>
            <div class="floatright">
            	<a id="top_panel_slide" href="#">Toogle Panel</a>
                  
                  <script type="text/javascript">
						var TopPanelSlide = new Fx.Slide('top_panel');
						$('top_panel_slide').addEvent('click', function(e){
							e = new Event(e);
							document.getElementById("top_panel").style.display="block";
							TopPanelSlide.toggle();
							e.stop();
						});
   				 </script>
            </div>
        	<?php } ?>
                
            </div> 
 
                         
                   <?php if ($this->countModules('promo1 + promo2')) { ?>
                    <div id="promo_wrap">
        
                    	<div id="promo">
							
                            <?php if ($this->countModules('promo1')) { ?>
                        	<div class="floatleft">
    							<jdoc:include type="modules" name="promo1" />
    						</div>
                            <?php } ?>
                            
                            <?php if ($this->countModules('promo2')) { ?>
                            <div class="floatright">
    							<jdoc:include type="modules" name="promo2" />
    						</div>
					 		<?php } ?>
                            
                        </div>
                           
					</div> 
                    <?php } ?>
                       
						
                        <div id="mainwrapper">		
            
            				<div id="container">
                
                				<div id="maincol" class="column">
    								<?php if ($this->countModules('breadcrumb')) { ?>
                                    <div id="breadcrumbs">
                                        <jdoc:include type="modules" name="breadcrumb" />
                                    </div>  
                                    <span style="margin-bottom:-15px" class="clearfix">&nbsp;</span>         
                                    <?php } ?>
                
                
                                    <?php if ($this->countModules('user1 + user2 + user3')) { ?>
                                    <div id="usertopmods">    
										<?php if ($this->countModules('user1')) { ?>
                                            <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep1; ?> floatleft">
                                                <jdoc:include type="modules" name="user1" style="icemodule"  />
                                            </div>
                                        <?php } ?>
                                        <?php if ($this->countModules('user2')) { ?>
                                            <div class="<?php echo $usertopmodwidth; ?> <?php echo $usetopmodsep2; ?> floatleft">
                                                <jdoc:include type="modules" name="user2" style="icemodule"  />
                                            </div>
                                        <?php } ?>
                                        <?php if ($this->countModules('user3')) { ?>
                                            <div class="<?php echo $usertopmodwidth; ?> floatleft">
                                                <jdoc:include type="modules" name="user3" style="icemodule"  />
                                            </div>
                                        <?php } ?>
                                    </div>            
                                    <?php } ?>
                                	
                                     <jdoc:include type="message" />
                                    <jdoc:include type="component" /> 
                                    
										<?php if ($this->countModules('user4 + user5 + user6')) { ?>
                                   
                               <div id="userbottommods">    
    	       	
									<?php if ($this->countModules('user4')) { ?>
                                        <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep1; ?> floatleft">
                                            <jdoc:include type="modules" name="user4" style="icemodule"  />
                                        </div>
                                    <?php } ?>
                                    <?php if ($this->countModules('user5')) { ?>
                                        <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep2; ?> floatleft">
                                            <jdoc:include type="modules" name="user5" style="icemodule"  />
                                        </div>
                                    <?php } ?>
                                    <?php if ($this->countModules('user6')) { ?>
                                        <div class="<?php echo $userbottomodwidth; ?> <?php echo $userbotmodsep3; ?> floatleft">
                                            <jdoc:include type="modules" name="user6" style="icemodule"  />
                                        </div>
                                    <?php } ?>
                                   
                                </div>            
                                <?php } ?>
                				
                                		<?php if ($this->countModules('user7')) { ?>
                                        	<span class="clearfix">&nbsp;</span>
                                            <jdoc:include type="modules" name="user7" />
                                        <?php } ?>
                                
                				</div>
                
                
								<?php if ($this->countModules('left')) { ?>
                                <div id="leftcol" class="column">
                                    <jdoc:include type="modules" name="left" style="icemodule"  />
                                </div>
                                <?php } ?>
                
								<?php if ($this->countModules('othermenu + right')) { ?>
                                <div id="rightcol" class="column">
                              		
									<?php if ($this->countModules('othermenu')) { ?>
                                    <div id="othermenu" class="clearfix">
                                          <jdoc:include type="modules" name="othermenu" />
                                    </div>
                                    <?php } ?>
                                	
                                    <jdoc:include type="modules" name="right" style="icemodule"  />
                                </div>
                                <?php } ?>
                
                            </div>
                            
                        </div>        



            
   		
                    
             <?php if ($this->countModules('bottom1 + bottom2 + bottom3 + bottom4 + bottom5 + bottom6')) { ?>
                <div id="bottom">    
    	       	
					<?php if ($this->countModules('bottom1')) { ?>
                        <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep1; ?> floatleft">
                            <jdoc:include type="modules" name="bottom1" style="icemodule"  />
                        </div>
            		<?php } ?>
                    <?php if ($this->countModules('bottom2')) { ?>
                        <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep2; ?> floatleft">
                            <jdoc:include type="modules" name="bottom2" style="icemodule"  />
                        </div>
            		<?php } ?>
                    <?php if ($this->countModules('bottom3')) { ?>
                        <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep3; ?> floatleft">
                            <jdoc:include type="modules" name="bottom3" style="icemodule"  />
                        </div>
            		<?php } ?>
                    <?php if ($this->countModules('bottom4')) { ?>
                        <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep4; ?> floatleft">
                            <jdoc:include type="modules" name="bottom4" style="icemodule"  />
                        </div>
            		<?php } ?>
                    <?php if ($this->countModules('bottom5')) { ?>
                        <div class="<?php echo $botmodwidth; ?> <?php echo $botmodsep5; ?> floatleft">
                            <jdoc:include type="modules" name="bottom5" style="icemodule"  />
                        </div>
            		<?php } ?>
                    <?php if ($this->countModules('bottom6')) { ?>
                        <div class="<?php echo $botmodwidth; ?>  floatleft">
                            <jdoc:include type="modules" name="bottom6" style="icemodule"  />
                        </div>
            		<?php } ?>
                    
 				</div>           
			<?php } ?>
    	
        </div>

    </div>    
	
    <div id="footer_wrap">
    			
		<div id="footer">
        	
		<div id="footer_sec"></div>
                     
			<div id="copyright"> 
            			
            	<div class="floatleft">
                	<ul>
                    	<?php if ($_SERVER["REQUEST_URI"] == '/') { ?>
 
                         <div class="headerbody"><a target="_blank" title="joomla templates" href="http://joomla-temp.ru">templates joomla 1.5</a></div>
 
                    <?php } ?>                   
                    </ul>
           		</div>
         		
                <div id="copyright_shadow">    
                	<div id="copyright_grunge" class="floatright">   	
                		<jdoc:include type="modules" name="footer" />
                    </div>
                </div>        
                
			</div>       
 
		</div>
	
    </div>    
   
</body>
</html>
